# List orders

Retrieve details of all orders for a user using this endpoint. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorized by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.brine.fi/tech/api-documentation/account/login) section of the documentation.

#### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/orders/
```

#### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

#### Query Params <a href="#query-params" id="query-params"></a>

| Field       | Type    | Mandatory | Description                                        |
| ----------- | ------- | --------- | -------------------------------------------------- |
| limit       | INTEGER | NO        | default 50                                         |
| page        | INTEGER | NO        |                                                    |
| market      | STRING  | NO        |                                                    |
| ord\_type   | STRING  | NO        | allowed values \[limit, market]                    |
| state       | STRING  | NO        | allowed values \[pending, wait,done,cancel]        |
| base\_unit  | STRING  | NO        | btcusdt, btc is base\_unit and usdt is quote\_unit |
| quote\_unit | STRING  | NO        |                                                    |
| start\_time | INTEGER | NO        |                                                    |
| end\_time   | INTEGER | NO        |                                                    |
| side        | STRING  | NO        | allowed values \[buy, sell]                        |

#### Example

```bash
{baseurl}/sapi/v1/orders/?page=1&limit=10&market=ethusdc
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Orders Retrieved Successfully",
  "payload": [
    {
      "id": 1739939,
      "uuid": "b658b41f-fe68-4561-801d-dfa94c3ca1b5",
      "side": "buy",
      "ord_type": "limit",
      "price": "450.0",
      "avg_price": "0.0",
      "state": "cancel",
      "market": "ethusdc",
      "created_at": "2022-06-16T22:41:14+02:00",
      "updated_at": "2022-06-16T22:43:30+02:00",
      "origin_volume": "0.001",
      "remaining_volume": "0.001",
      "executed_volume": "0.0",
      "maker_fee": "0.001",
      "taker_fee": "0.001",
      "trades_count": 0
    },
    {
      "id": 1739940,
      "uuid": "19bce015-c143-449f-af2b-fdcfa6384015",
      "side": "buy",
      "ord_type": "limit",
      "price": "1134.0",
      "avg_price": "1134.0",
      "state": "done",
      "market": "ethusdc",
      "created_at": "2022-06-16T22:41:24+02:00",
      "updated_at": "2022-06-16T22:41:49+02:00",
      "origin_volume": "0.001",
      "remaining_volume": "0.0",
      "executed_volume": "0.001",
      "maker_fee": "0.001",
      "taker_fee": "0.001",
      "trades_count": 1
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brine.fi/tech/api-documentation/trading/list-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
